/*!
 * (C) Gasco https://gasco-web-component.herokuapp.com/ - MIT License
 */
import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';
import { c as createColorClasses } from './theme.js';

const gascoCardTitleMdCss = ":host{display:block;position:relative;color:var(--color)}:host(.gasco-color){color:var(--gasco-color-base)}:host{--color:#4D4D4D;margin-left:0;margin-right:0;margin-top:0;margin-bottom:0;padding-left:0;padding-right:0;padding-top:0;padding-bottom:0;font-size:30px;font-weight:600;line-height:38px}@media only screen and (max-width: 768px){:host{font-size:26px;line-height:33px}}@media only screen and (max-width: 480px){:host{font-size:22px;line-height:33px}}";

const GascoCardTitle$1 = /*@__PURE__*/ proxyCustomElement(class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.__attachShadow();
  }
  render() {
    return (h(Host, { role: "heading", "aria-level": "2", class: createColorClasses(this.color, {
        'gasco-inherit-color': true,
      }) }, h("slot", null)));
  }
  static get style() { return gascoCardTitleMdCss; }
}, [1, "gasco-card-title", {
    "color": [513]
  }]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["gasco-card-title"];
  components.forEach(tagName => { switch (tagName) {
    case "gasco-card-title":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, GascoCardTitle$1);
      }
      break;
  } });
}

const GascoCardTitle = GascoCardTitle$1;
const defineCustomElement = defineCustomElement$1;

export { GascoCardTitle, defineCustomElement };
